Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoProfileCoverageEntry

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoProfileCoverageEntry,MonoProfileCoverageEntry.ByValue,MonoProfileCoverageEntry.ByReference>
              com.nativelibs4java.mono.MonoProfileCoverageEntry

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoProfileCoverageEntry,MonoProfileCoverageEntry.ByValue,MonoProfileCoverageEntry.ByReference>>

Direct Known Subclasses:
  MonoProfileCoverageEntry.ByReference, MonoProfileCoverageEntry.ByValue

    public class MonoProfileCoverageEntry

extends Structure<MonoProfileCoverageEntry,MonoProfileCoverageEntry.ByValue,MonoProfileCoverageEntry.ByReference>

native declaration : mono\metadata\profiler.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoProfileCoverageEntry.ByReference`
`static class` | `MonoProfileCoverageEntry.ByValue`

Field Summary
`int` | `col`
`int` | `counter`
`ByteByReference` | `filename`
`int` | `iloffset`
`int` | `line`
`MonoLibrary.MonoMethod` | `method`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoProfileCoverageEntry()`
`MonoProfileCoverageEntry(MonoLibrary.MonoMethod method, int iloffset, int counter, ByteByReference filename, int line, int col)`

Method Summary
`protected MonoProfileCoverageEntry.ByReference` | `newByReference()`
`protected MonoProfileCoverageEntry.ByValue` | `newByValue()`
`protected MonoProfileCoverageEntry` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### method

    public MonoLibrary.MonoMethod method

### iloffset

    public int iloffset

### counter

    public int counter

### filename

    public ByteByReference filename

### line

    public int line

### col

    public int col

Constructor Detail

### MonoProfileCoverageEntry

    public MonoProfileCoverageEntry()

### MonoProfileCoverageEntry

    public MonoProfileCoverageEntry(MonoLibrary.MonoMethod method,
                                    int iloffset,
                                    int counter,
                                    ByteByReference filename,
                                    int line,
                                    int col)

Method Detail

### newByReference

    protected MonoProfileCoverageEntry.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoProfileCoverageEntry,MonoProfileCoverageEntry.ByValue,MonoProfileCoverageEntry.ByReference>`

### newByValue

    protected MonoProfileCoverageEntry.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoProfileCoverageEntry,MonoProfileCoverageEntry.ByValue,MonoProfileCoverageEntry.ByReference>`

### newInstance

    protected MonoProfileCoverageEntry newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoProfileCoverageEntry,MonoProfileCoverageEntry.ByValue,MonoProfileCoverageEntry.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD